Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 2719)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 2720)
@@ -22,8 +22,13 @@
 
 /**
  * Common charts engine. This is the superclass of all chart engine implementations.
+ * 
  * This class provides methods to create charts from variable chart creators stored by type of result data such as CA, CAH, Singular values, etc.
  * 
+ * It also stores the available chart creators
+ * 
+ * Provides methods to output the chart created by the ChartCreators
+ * 
  * @author sjacquot
  *
  */
@@ -58,12 +63,6 @@
 	protected HashMap<Class, HashMap<String, ChartCreator>> chartCreators;
 	
 	/**
-	 * Installed charts engines.
-	 * TODO remove this static member and use the ChartsEnginesManager
-	 */
-	protected static ArrayList<ChartsEngine> chartsEngines;
-	
-	/**
 	 * Current theme.
 	 */
 	protected Theme theme;
@@ -88,7 +87,7 @@
 	 * @param outputFormat
 	 */
 	protected ChartsEngine(String description, String outputFormat) {
-		this.chartCreators = new HashMap<Class, HashMap<String, ChartCreator>>();
+		this.chartCreators = new HashMap<>();
 		this.description = description;
 		this.outputFormat = outputFormat;
 		this.theme = new Theme();
@@ -158,7 +157,7 @@
 	 * @return
 	 */
 	public ArrayList<ChartCreator> getChartCreators(ChartResult result) {
-		ArrayList<ChartCreator> chartCreators = new ArrayList<ChartCreator>();
+		ArrayList<ChartCreator> chartCreators = new ArrayList<>();
 		HashMap<String, ChartCreator> map = this.chartCreators.get(result.getClass());
 		if (map != null) {
 			chartCreators.addAll(map.values());
@@ -204,7 +203,7 @@
 		}
 		
 		if (!this.chartCreators.containsKey(resultDataType)) {
-			HashMap<String, ChartCreator> m = new HashMap<String, ChartCreator>();
+			HashMap<String, ChartCreator> m = new HashMap<>();
 			m.put(chartType, chartCreator);
 			this.chartCreators.put(resultDataType, m);
 		}
@@ -288,18 +287,6 @@
 	// return chartsEngine;
 	// }
 	
-	
-	/**
-	 * Returns the installed charts engine contributions.
-	 * 
-	 * @return
-	 */
-	@Deprecated
-	public static ArrayList<ChartsEngine> getChartsEngines() {
-		return ChartsEngine.chartsEngines;
-	}
-	
-	
 	@Override
 	public boolean initialize() throws Exception {
 		this.registerChartCreatorExtensions();
@@ -332,7 +319,6 @@
 				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
-			
 		}
 	}
 	
@@ -378,7 +364,7 @@
 			
 			// right padding to 3 characters long
 			if (prefix.length() < 3) {
-				prefix = String.format("%1$-3s", prefix).replace(' ', '_'); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				prefix = String.format("%1$-3s", prefix).replace(' ', '_'); //$NON-NLS-1$
 			}
 			
 			file = File.createTempFile(prefix, "." + this.outputFormat, resultsDir);
@@ -395,33 +381,63 @@
 		return file;
 	}
 	
-	/**
-	 * Creates a file form the specified chart object.
-	 * 
-	 * @param chart
-	 * @param file
-	 * @return
-	 */
-	public abstract File createChartFile(Object chart, File file);
+	// public File createChartFile(ChartResult result);
 	
-	/**
-	 * Creates a chart according to the specified result and output format and writes it in the specified file.
-	 * 
-	 * @param result
-	 * @param file
-	 * @param outputFormat
-	 * @return
-	 */
-	public File createChartFile(ChartResult result, File file, String outputFormat) {
-		// FIXME : SJ: bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
-		String oldOutputFormat = this.outputFormat;
-		this.setOutputFormat(outputFormat);
-		file = this.createChartFile(result.getChart(), file);
-		this.outputFormat = oldOutputFormat;
-		return file;
-	}
+	// /**
+	// * Creates a file form the specified chart object and output format.
+	// *
+	// * @param chart
+	// * @param file
+	// * @return
+	// */
+	// public abstract File createChartFile(Object chart, File file, String outputFormat);
+	//
+	// /**
+	// * Creates a chart according to the specified result and output format and writes it in the specified file.
+	// *
+	// * @param result
+	// * @param file
+	// * @param outputFormat
+	// * @return
+	// */
+	// public File createChartFile(ChartResult result, File file, String outputFormat) {
+	// // FIXME : SJ: bad ? Switch the current charts engine output format, export the chart, and then roll back the output format
+	// FIXME: this old code don't work with asynchronous calls
+	// String oldOutputFormat = this.outputFormat;
+	// this.setOutputFormat(outputFormat);
+	// file = this.createChartFile(result.getChart(), file);
+	// this.outputFormat = oldOutputFormat;
+	// return file;
+	// }
 	
+	// /**
+	// * Creates a chart file according to the specified result data, parameters and default outputFormat.
+	// *
+	// * @param result
+	// * @param file
+	// * @return
+	// */
+	// public File createChartFile(ChartResult result, File file) {
+	// Object chart = this.createChart(result);
+	// // FIXME: SJ: became useless?
+	// // Synchronizes the chart with the shared preferences as show title, show legend, rendering colors mode, etc.
+	// // this.updateChart(result);
+	// return this.exportChart(chart, file, this.outputFormat, 0, 0);
+	// }
 	
+	
+	// /**
+	// * Creates a chart file according to the specified result data using the specified prefix for the file name.
+	// *
+	// * @param result
+	// * @param fileNamePrefix
+	// * @return
+	// */
+	// public File createChartFile(ChartResult result, String fileNamePrefix) {
+	// return this.createChartFile(result, this.createTmpFile(fileNamePrefix));
+	// }
+	
+	
 	/**
 	 * Exports the chart to the specified file. Also crops the image according to the specified drawing area values.
 	 * 
@@ -452,8 +468,38 @@
 		return this.exportChart(chart, file, outputFormat, imageWidth, imageHeight, 0, 0, imageWidth, imageHeight);
 	}
 	
+	/**
+	 * Export a chart in a file
+	 * 
+	 * @param result
+	 * @param outputFormatSvg
+	 * @return
+	 */
+	public File exportChart(ChartResult result, String outputFormat) {
+		return exportChart(result, 1024, 576, outputFormat);
+	}
 	
 	/**
+	 * Export a chart in a file
+	 * 
+	 * @param result
+	 * @param outputFormatSvg
+	 * @return
+	 */
+	public File exportChart(ChartResult result, int imageWidth, int imageHeight, String outputFormat) {
+		return exportChart(result, createTmpFile("export"), imageWidth, imageHeight, outputFormat);
+	}
+	
+	/**
+	 * Export a chart in a file
+	 * 
+	 * @param result
+	 * @param outputFormatSvg
+	 * @return
+	 */
+	public abstract File exportChart(ChartResult result, File file, int imageWidth, int imageHeight, String outputFormat);
+	
+	/**
 	 * Gets the current output format.
 	 * 
 	 * @return
@@ -541,42 +587,43 @@
 		return directComputing;
 	}
 	
-	/**
-	 * 
-	 * @param result
-	 * @param chartType
-	 * @return
-	 */
-	public Object createChart(ChartResult result, String chartType) {
-		Object chart = null;
-		ChartCreator chartCreator = this.getChartCreator(result, chartType);
-		if (chartCreator != null) {
-			chart = chartCreator.createChart(result);
-		}
-		return chart;
-	}
+	// FIXME: MD: not used ? deprecated ?
+	// /**
+	// *
+	// * @param result
+	// * @param chartType
+	// * @return
+	// */
+	// public Object createChart(ChartResult result, String chartType) {
+	// Object chart = null;
+	// ChartCreator chartCreator = this.getChartCreator(result, chartType);
+	// if (chartCreator != null) {
+	// chart = chartCreator.createChart(result);
+	// }
+	// return chart;
+	// }
+	//
+	// /**
+	// *
+	// * @param result
+	// * @return
+	// */
+	// public Object createChart(ChartResult result) {
+	// return this.createChart(result, result.getChartType());
+	// }
+	//
+	// /**
+	// *
+	// * @param chart
+	// * @param result
+	// */
+	// public void updateChart(Object chart, ChartResult result) {
+	// ChartCreator chartCreator = this.getChartCreator(result, result.getChartType());
+	// if (chartCreator != null) {
+	// chartCreator.updateChart(result);
+	// }
+	// }
 	
-	/**
-	 * 
-	 * @param result
-	 * @return
-	 */
-	public Object createChart(ChartResult result) {
-		return this.createChart(result, result.getChartType());
-	}
-	
-	/**
-	 * 
-	 * @param chart
-	 * @param result
-	 */
-	public void updateChart(Object chart, ChartResult result) {
-		ChartCreator chartCreator = this.getChartCreator(result, result.getChartType());
-		if (chartCreator != null) {
-			chartCreator.updateChart(result);
-		}
-	}
-	
 	@Override
 	public void notify(TXMResult r, String state) {
 		// nothing to do
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 2719)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 2720)
@@ -30,6 +30,7 @@
 import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 
 /**
@@ -113,7 +114,7 @@
 	
 	
 	@Override
-	public void __createPartControl() {
+	public void __createPartControl() throws CqiClientException {
 		
 		// Main parameters
 		GLComposite mainParametersArea = this.getMainParametersComposite();
@@ -270,6 +271,12 @@
 			this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
 			this.vMaxSpinner.setMinimum(2);
+			CQPCorpus corpus = getResult().getFirstParent(MainCorpus.class);
+			if (corpus != null) {
+				this.vMaxSpinner.setMaximum(corpus.getSize());
+				this.fMaxSpinner.setMaximum(corpus.getSize());
+				this.fMinSpinner.setMaximum(corpus.getSize());
+			}
 		}
 		
 		this.chartToolBar.pack();
